<?php
require_once "connect.php";

// dados da seção
$id_usuario = 0;
$st_ativo	= 0;
$ok = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id       = $_POST['id'];
}

if(isset($_POST['ds_mapa'])){
  $ds_mapa	= trim($_POST['ds_mapa']); 
  
}

if(isset($_POST['st_ativo'])){
  $st_ativo	= trim($_POST['st_ativo']); 
  
}

if ($_FILES['ds_arquivo']['error'] == UPLOAD_ERR_OK) {
  

  $diretorio = "/mapas/kml/"; //diretorio onde ficarão as imagens de categorias de produtos
  $ds_url_mapa	= $diretorio . $_FILES['ds_arquivo']['name']; //salvando caminho + nome da imagem

  move_uploaded_file($_FILES['ds_arquivo']['tmp_name'],$ds_url_mapa); //passando a imagem do diretório temporário de uploads para o diretório de imagens
}

// preparando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
    
    if ($st_ativo == 1){//mapa ativo
        //muda os outros mapas para inativo
	  $sql_status = "update erpc_mapas set st_ativo = 0";
	  $stmt_status = mysqli_prepare($conexao, $sql_status) or die(mysqli_error($conexao) . '<br />' . $sql_status);
	  mysqli_stmt_execute($stmt_status) or die(mysqli_error($conexao));		 
    }
    
    
  $sql = "update erpc_mapas set ds_mapa = '$ds_mapa',ds_url_mapa = '$ds_url_mapa',st_ativo  =  $st_ativo";
  $sql .= " where id = '$id'";

}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_mapas (ds_mapa, ds_url_mapa, st_ativo) values ('$ds_mapa', '$ds_url_mapa', 1)";

}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_mapas_list.php");
}
?>
